<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add contact</title>
</head>
<body>
<form action="/savecontactedit" method="post" th:object="${wrapperOfContacts}">
    <input hidden="true" type="text" th:field="${wrapperOfContacts.id}">
    <input th:field="${wrapperOfContacts.contact}" value="${wrapperOfContacts.contact}" placeholder="type name here">&nbsp;&nbsp;Name
    of contact<br><br>
    <table style="border-collapse: collapse; border: 0px solid gray;">
        <tr>
            <td style="vertical-align: top">
                <div th:each="phone, itemStat : *{phoneList}">
                    <input th:field="*{phoneList[__${itemStat.index}__].phoneNumber}"
                           placeholder="type phone number">&nbsp;&nbsp;phone number&nbsp;&nbsp;<br><br>
                    <input hidden="true" th:field="*{phoneList[__${itemStat.index}__].id}">
                </div>
            </td>
            <td style="vertical-align: top">
                <div th:each="email, itemStat : *{emailList}">
                    <input th:field="*{emailList[__${itemStat.index}__].emailAddress}"
                           placeholder="type email here">&nbsp;&nbsp;email&nbsp;&nbsp;<br><br>
                    <input hidden="true" th:field="*{emailList[__${itemStat.index}__].id}">
                </div>
            </td>
        </tr>
    </table>
    <br>
    <input type="submit" value="confirm editing contact">
</form>
<br>
<form action="/main" method="get">
    <input type="submit" value="домой">
</form>
</body>
</html>